﻿@model StavkeNabaveViewModel

@{
    ViewData["Title"] = "Stavke nabava";
}

<h1>Stavke nabava</h1>
<p>
    <small>
        Stranica za prikaz stavki nabava. Omogućeno je straničenje, sortiranje po svim stupcima, unos nove stavke nabave i opcije uređivanja i brisanja podatka (s popup dijalogom). Nakon dodavanja, ažuriranja ili brisanja određenog podatka ispisuje se prigodna poruka.
    </small>
</p>

<a asp-action="Create">Stvori novu stavku</a>

<pager page-info="@Model.PagingInfo" page-title="Unesite željenu stranicu" page-action="Index" class="float-right"></pager>

<table class="table table-sm table-striped table-hover">
    <thead>
        <tr>
            @{
                string[] nazivi = { "Id", "Evidencijski broj", "Predmet nabave", "Procjenjena vrijednost", "Vrijedi od", "Vrijedi do", "Plan nabave", "CPV", "Valuta", "Vrsta postupka" };
                for (int i = 1; i <= nazivi.Length; i++)
                {
                    <th>
                        <a asp-route-sort="@i"
                           asp-route-page="@Model.PagingInfo.CurrentPage"
                           asp-route-ascending="@(Model.PagingInfo.Sort == i ? !Model.PagingInfo.Ascending : true)">@nazivi[i - 1]</a>
                    </th>
                }
            }
            <th></th>
        </tr>
    </thead>

    <tbody>
        @foreach (var stavka in Model.Stavke)
        {
            <tr>
                <td class="text-left">@stavka.Id</td>
                <td class="text-left">@stavka.EvidencijskiBroj</td>
                <td class="text-left">@stavka.PredmetNabave</td>
                <td class="text-left">@stavka.ProcjenjenaVrijednost</td>
                <td class="text-left">@stavka.VrijediOd</td>
                <td class="text-left">@stavka.VrijediDo</td>
                <td class="text-left">@stavka.PlanNabave</td>
                <td class="text-left">@stavka.CPV</td>
                <td class="text-left">@stavka.Valuta</td>
                <td class="text-left">@stavka.VrstaPostupka</td>
                <td class="btn-group">
                    <a asp-action="Edit"
                       asp-route-id="@stavka.Id"
                       asp-route-page="@Model.PagingInfo.CurrentPage"
                       asp-route-sort="@Model.PagingInfo.Sort"
                       asp-route-ascending="@Model.PagingInfo.Ascending"
                       class="btn btn-sm" title="Ažuriraj">
                        <i class="fas fa-edit"></i>
                    </a>
                    <form asp-action="Delete" method="POST"
                          asp-route-page="@Model.PagingInfo.CurrentPage"
                          asp-route-sort="@Model.PagingInfo.Sort"
                          asp-route-ascending="@Model.PagingInfo.Ascending">
                        <input type="hidden" name="Id" value="@stavka.Id" />
                        <button type="submit" class="btn btn-sm btn-danger delete" title="Obriši">
                            <i class="fas fa-trash-alt"></i>
                        </button>
                    </form>
                </td>
            </tr>
        }
    </tbody>
</table>
